<template>
  <div id="content-wrap">
    <div class="actions">
      <div id="buttons">
        <button id="new"
        v-on:click="$emit('change-component', 'Recipient'); $emit('object',0)">
          Create New
        </button>
      </div>
    </div>
    <div class="table-wrap">
      <table class="tab">
        <thead>
          <tr>
            <th>Name</th>
            <th>Last_name</th>
            <th>Phone</th>
            <th>Email</th>
            <th>Street</th>
            <th></th>
          </tr>
        </thead>
        <tbody>
          <tr v-for="recipient in recipients" v-bind:key="recipient.id" v-bind:item="recipient">
            <td>{{recipient.name}}</td>
            <td>{{recipient.lastName}}</td>
            <td>{{recipient.phone}}</td>
            <td>{{recipient.email}}</td>
            <td>{{recipient.street}}</td>
            <td>
              <button v-on:click="modify(recipient.id)">Modify</button>
              <button v-on:click="deleteObj(recipient)">Delete</button>
            </td>
          </tr>
        </tbody>
      </table>
    </div>
  </div>
</template>

<script>
import axios from 'axios';

export default {
  name: 'Recipients',
  data() {
    return {
      recipients: [],
    };
  },
  mounted() {
    this.get();
  },
  methods: {
    get() {
      axios.get('http://localhost:4000/api/recipients').then(
        (result) => {
          this.recipients = result.data;
        },
      ).catch((error) => {
        console.log(error);
      });
    },
    modify(recipient) {
      this.$emit('change-component', 'Recipient');
      this.$emit('object', recipient);
      console.log(recipient);
    },
    deleteObj(recipient) {
      const url = `http://localhost:4000/api/recipients/${recipient.id}`;
      axios.delete(url).then(
        (result) => {
          if (result) { this.get(); }
        },
      ).catch((error) => {
        console.log(error);
      });
    },
  },
};
</script>

<style scoped>
@import "../CSS/Managment.css";
</style>
